Package com.destroystokyo.paper.event.player

# Class PlayerReadyArrowEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.PlayerReadyArrowEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerReadyArrowEvent extends PlayerEvent implements Cancellable
Called when a player is firing a bow and the server is choosing an arrow to use.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerReadyArrowEvent(@NotNull Player player, @NotNull ItemStack bow, @NotNull ItemStack arrow)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ItemStack`
`getArrow()`
`@NotNull ItemStack`
`getBow()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Whether or not use of this arrow is cancelled.
`void`
`setCancelled(boolean cancel)`
Cancel use of this arrow.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerReadyArrowEvent

public PlayerReadyArrowEvent(@NotNull @NotNull Player player, @NotNull @NotNull ItemStack bow, @NotNull @NotNull ItemStack arrow)

## Method Details

### getBow

@NotNull public @NotNull ItemStack getBow()

Returns:
  the player is using to fire the arrow

### getArrow

@NotNull public @NotNull ItemStack getArrow()

Returns:
  the arrow that is attempting to be used

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Whether or not use of this arrow is cancelled. On cancel, the server will try the next arrow available and fire another event.

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Cancel use of this arrow. On cancel, the server will try the next arrow available and fire another event.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event